# H245_H223AL1MParameters_crcLength Class Reference

`#include <h245.h>`

List of all members.

## Public Types

enum | Choices { e_crc4bit, e_crc12bit, e_crc20bit, e_crc28bit, e_crc8bit, e_crc16bit, e_crc32bit, e_crcNotUsed }

## Public Member Functions

| H245_H223AL1MParameters_crcLength (unsigned tag=0, TagClass tagClass=UniversalTagClass)
PBoolean | CreateObject ()
PObject * | Clone () const

## Member Enumeration Documentation

enum H245_H223AL1MParameters_crcLength::Choices

Enumerator:

  e_crc4bit |
  e_crc12bit |
  e_crc20bit |
  e_crc28bit |
  e_crc8bit |
  e_crc16bit |
  e_crc32bit |
  e_crcNotUsed |

## Constructor & Destructor Documentation

H245_H223AL1MParameters_crcLength::H245_H223AL1MParameters_crcLength | ( | unsigned | tag = `0`,
|  | TagClass | tagClass = `UniversalTagClass` |
| ) |  |  |

## Member Function Documentation

PBoolean H245_H223AL1MParameters_crcLength::CreateObject | ( |  | ) |

PObject* H245_H223AL1MParameters_crcLength::Clone | ( |  | ) | const

The documentation for this class was generated from the following file:

- h245.h